=== debian/changelog ===
fonts-xolonium (4.2-2) unstable; urgency=medium

  * Team upload.

  [ Sébastien Noel ]
  * d/control: bump S-V to 4.7.3
  * achieve self-reproducibility

  [ Gioele Barabucci ]
  * d/control: Run sort-and-wrap -ast
  * d/u/metadata: Add `Archive` field
  * d/watch: Fix v5 syntax
  * d/gbp.conf: Adopt DEP-14 branch layout
  * d/copyright: Use the correct SPDX identifiers, fix upstream contact
  * d/rules: use `dh_auto_build` instead of `$(MAKE)`
  * d/patches: Refresh reproducibility patch with `gbp pq`

 -- Gioele Barabucci <gioele@svario.it>  Thu, 26 Feb 2026 22:59:45 +0100

fonts-xolonium (4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1110421)

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 28 Nov 2025 09:33:00 +0100
