=== debian/control ===
Source: fonts-xolonium
Section: fonts
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Sébastien Noel <sebastien@twolife.be>,
Build-Depends:
 debhelper-compat (= 13),
 htic,
 python3-fontforge,
 python3-fonttools,
Standards-Version: 4.7.3
Homepage: https://gitlab.com/sev/xolonium
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-xolonium
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-xolonium.git

Package: fonts-xolonium
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: futuristic typeface, with focus on legibility
 Xolonium provides support for Latin, Greek, and Cyrillic glyph sets,
 and includes various pictograms and emoticons.
 .
 Xolonium originated as a custom font for the open-source game Xonotic.
