=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	dh_auto_build -- xonotic

override_dh_installchangelogs:
	dh_installchangelogs FONTLOG.txt
